*{box-sizing: border-box;}
body {
    position: relative;
    width: 100%;
    height: 100vh;
    margin: 0;
    background: url('../images/nick-chong-N__BnvQ_w18-unsplash.webp');
    background-size: cover;
}
#transparency-mask{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(#2e2e2e, transparent);
    backdrop-filter: blur(2px);
}
header{
    position: absolute;
    width: calc(100% - 1rem);
    font-size: 24px;
    padding: 0.5rem;
    margin: 0.5rem;
    box-sizing: border-box;
    background: white;
    border-radius: 1rem;
    box-shadow: 0 0 1rem #000;
}
main {
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
main > .auth-description {
    color: white;
    padding: 1rem;
    max-width: 400px;
    width: 100%;
}
main > form{
    width: 90%;
    max-width: 400px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #eee;
    padding: 1rem;
    margin: 0;
    border-radius: 1rem;
    box-shadow: 0 0 1rem #666;
    opacity: 1;
    animation: opacity 1s ease-in-out;
}
h1{
    text-align: center;
    border-bottom: 1px solid #ccc;
}
.container{width: 80%; margin: auto;}
.block{
    display: flex;
    justify-content: space-around;
    margin: 0.5rem 0rem;
    padding: 0.25rem;
    width: 100%;
    align-items: center;
}
label{width: 50%}
input, select{
    padding: 0.5rem;
    outline: none;
    border: none;
    border-bottom: 1px solid #000;
    background-color: transparent;
    width: 50%;
}
select {
    font-size: small;
    color: white;
    padding: 0.5em 1em 0.4em 0.7em;
    box-sizing: border-box;
    margin: 0.2rem;
    outline: none;
    box-shadow: 0 1px 0 1px rgba(0, 0, 0, 0.04);
    border-radius: 0.5em;
    background: linear-gradient(#222, #444);
    background-repeat: repeat;
    background-position: right 0.7em top 50%, 0 0;
    background-size: 0.65em auto, 100%;
}
option{
    padding: 4px;
    outline: 0;
    border-top: 1px solid #777;
    background-color: #444;
}
button{
    display: inline-block;
    text-decoration: none;
    padding: 1rem;
    width: 50%;
    color: white;
    /*background-color: maroon;*/
    border: none;
    cursor: pointer;
    text-align: center;
    border-radius: 1rem;
    margin: 0 1rem;
    background-color: red;
    transition-duration: .3s;
}
.switch-auth{
    display: block;
    text-align: center;
    background-color: transparent;
    color: #000;
}
.extra-text{
    font-size: small;
    text-align: center;
}

@keyframes opacity {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}